Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-dtopt
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

Name:           python-module-dtopt
Summary:        Add options to doctest examples while they are running
Version:        0.1
Release:        alt2_31
License:        MIT

URL:            http://pypi.python.org/pypi/dtopt/
Source0:        http://pypi.python.org/packages/source/d/dtopt/dtopt-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute


%global _description\
dtopts adds options to doctest examples while they are running. When\
using the doctest module it is often convenient to use the ELLIPSIS\
option, which allows you to use ... as a wildcard. But you either have\
to setup the test runner to use this option, or you must put #doctest:\
+ELLIPSIS on every example that uses this feature. dtopt lets you enable\
this option globally from within a doctest, by doing:\
>>> from dtopt import ELLIPSIS
Source44: import.info

%description 

%_description
%package -n python3-module-dtopt
Group: System/Libraries
Summary:        Add options to doctest examples while they are running
Version:        0.1

%description -n python3-module-dtopt
dtopts adds options to doctest examples while they are running. When
using the doctest module it is often convenient to use the ELLIPSIS
option, which allows you to use ... as a wildcard. But you either have
to setup the test runner to use this option, or you must put #doctest:
+ELLIPSIS on every example that uses this feature. dtopt lets you enable
this option globally from within a doctest, by doing:
>>> from dtopt import ELLIPSIS

%prep
%setup -q -n dtopt-%{version}

# Remove bundled egg info if it exists.
rm -rf *.egg-info

# There is a print statement in the test that is not python3 compatible.
rm dtopt/tests.py*


%build
%python3_build

%install
%python3_install

%files -n python3-module-dtopt
%doc docs/*
%{python3_sitelibdir_noarch}/dtopt/
%{python3_sitelibdir_noarch}/dtopt*.egg-info/

%changelog
* Thu Apr 11 2019 Igor Vlasenko <viy@altlinux.ru> 0.1-alt2_31
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.1-alt2_28
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.1-alt2_27
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 0.1-alt2_26
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.1-alt2_25
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.1-alt2_22
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.1-alt2_20
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.1-alt2_19
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.1-alt2_17
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.1-alt2_15
- update to new release by fcimport

* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 0.1-alt2_13
- update to new release by fcimport

* Mon Apr 01 2013 Cronbuild Service <cronbuild@altlinux.org> 0.1-alt2_12
- rebuild to get rid of unmets

* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_12
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_11
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_10
- initial fc import

